﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace project_36_5_9 {
  class Program {
    const int EVENTS = 20;
    const int COUNTRIES = 10;

    static void Main() {
      int j, i, left, right, middle, index_position;
      bool found;
      string needle;

      string[] country_names = new string[COUNTRIES];
      string[,] event_descriptions = new string[EVENTS, COUNTRIES];
      for (j = 0; j <= COUNTRIES - 1; j++) {
        Console.Write("Enter Country No. " + (j + 1) + ": ");
        country_names[j] = Console.ReadLine();
        for (i = 0; i <= EVENTS - 1; i++) {
          Console.Write("Enter description for event No. " + (i + 1) + ": ");
          event_descriptions[i, j] = Console.ReadLine();
        }
      }

      Console.Write("Enter a country to search: ");
      needle = Console.ReadLine().ToUpper();

      index_position = -1;
      left = 0;
      right = EVENTS - 1;
      found = false;
      while (left <= right && found == false) {
        middle = (int)((left + right) / 2);

        if (country_names[middle].ToUpper().CompareTo(needle) > 0) {
          right = middle - 1;
        }
        else if (country_names[middle].ToUpper().CompareTo(needle) < 0) {
          left = middle + 1;
        }
        else {
          found = true;
          index_position = middle;
        }
      }

      if (found == false) {
        Console.WriteLine("No country found!");
      }
      else {
        for (i = 0; i <= EVENTS - 1; i++) {
          Console.WriteLine(event_descriptions[i, index_position]);
        }
      }

      Console.ReadKey();
    }

  }
}
