﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace project_41_2_3 {
  class Program {
    static int get_consumption() {
      int kwh;
      string input;

      Console.Write("Enter kWh consumed: ");
      input = Console.ReadLine();
      while (Int32.TryParse(input, out kwh) == false || kwh < 0) {
        Console.WriteLine("Error: Invalid number!");
        Console.Write("Enter a non-negative number: ");
        input = Console.ReadLine();
      }
      return kwh;
    }

    static double find_amount(int kwh) {
      double amount;

      if (kwh <= 400) {
        amount = kwh * 0.08;
      }
      else if (kwh <= 1500) {
        amount = 400 * 0.08 + (kwh - 400) * 0.22;
      }
      else if (kwh <= 3000) {
        amount = 400 * 0.08 + 1100 * 0.22 + (kwh - 1500) * 0.35;
      }
      else {
        amount = 400 * 0.08 + 1100 * 0.22 + 1500 * 0.35 + (kwh - 3000) * 0.50;
      }

      amount += 0.26 * amount;
      return amount;
    }

    static void Main() {
      int kwh;
      string answer;

      do {
        kwh = get_consumption();
        Console.WriteLine("You need to pay: " + find_amount(kwh));

        Console.WriteLine("Would you like to repeat?");
        answer = Console.ReadLine();
      } while (answer.ToUpper() == "YES");
    }

  }
}
