﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace project_36_5_10 {
  class Program {
    const int EVENTS = 20;
    const int COUNTRIES = 10;

    static void Main() {
      int j, i, needle, top, bottom, middle, row_index;
      bool found;

      string[] country_names = new string[COUNTRIES];
      string[,] event_descriptions = new string[EVENTS, COUNTRIES];
      int[,] event_years = new int[EVENTS, COUNTRIES];
      for (j = 0; j <= COUNTRIES - 1; j++) {
        Console.Write("Enter Country No. " + (j + 1) + ": ");
        country_names[j] = Console.ReadLine();
        for (i = 0; i <= EVENTS - 1; i++) {
          Console.Write("Enter description for event No. " + (i + 1) + ": ");
          event_descriptions[i, j] = Console.ReadLine();
          Console.Write("Enter year for event No. " + (i + 1) + ": ");
          event_years[i, j] = Int32.Parse(Console.ReadLine());
        }
      }

      Console.Write("Enter a year to search: ");
      needle = Int32.Parse(Console.ReadLine());
      row_index = -1;

      for (j = 0; j <= COUNTRIES - 1; j++) {
        top = 0;
        bottom = EVENTS - 1;
        found = false;
        while (top <= bottom && found == false) {
          middle = (int)((top + bottom) / 2);

          if (event_years[middle, j] > needle) {
            bottom = middle - 1;
          }
          else if (event_years[middle, j] < needle) {
            top = middle + 1;
          }
          else {
            found = true;
            row_index = middle;
          }
        }

        if (found == false) {
          Console.WriteLine("No event found for country " + country_names[j]);
        }
        else {
          Console.WriteLine("Country: " + country_names[j]);
          Console.WriteLine("Year: " + event_years[row_index, j]);
          Console.WriteLine("Event: " + event_descriptions[row_index, j]);
        }
      }

      Console.ReadKey();
    }

  }
}
