﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace project_36_5_6 {
  class Program {
    const int CITIES = 10;
    const int CITIZENS = 30;

    static void Main() {
      int i, j, position_i, position_j;
      bool found;
      string needle;

      string[,] phone_num = new string[CITIES, CITIZENS];
      string[,] ans = new string[CITIES, CITIZENS];
      for (i = 0; i <= CITIES - 1; i++) {
        Console.WriteLine("City No. " + (i + 1));
        for (j = 0; j <= CITIZENS - 1; j++) {
          Console.Write("Enter phone number of citizen No. " + (j + 1) + ": ");
          phone_num[i, j] = Console.ReadLine();

          Console.Write("Enter the answer of citizen No. " + (j + 1) + ": ");
          ans[i, j] = Console.ReadLine().ToUpper();
          while (ans[i, j] != "Y" && ans[i, j] != "N" && ans[i, j] != "S") {
            Console.Write("Wrong answer. Please enter a valid answer: ");
            ans[i, j] = Console.ReadLine().ToUpper();
          }
        }
      }

      Console.Write("Enter a phone number to search: ");
      needle = Console.ReadLine();

      found = false;
      position_i = -1;
      position_j = -1;
      i = 0;
      while (i <= CITIES - 1 && found == false) {
        j = 0;
        while (j <= CITIZENS - 1 && found == false) {
          if (phone_num[i, j] == needle) {
            found = true;
            position_i = i;
            position_j = j;
          }
          j++;
        }
        i++;
      }

      if (found == false) {
        Console.WriteLine("Phone number not found!");
      }
      else {
        Console.Write("Phone number " + phone_num[position_i, position_j]);
        Console.Write(" gave '");

        if (ans[position_i, position_j] == "Y") {
          Console.Write("Yes");
        }
        else if (ans[position_i, position_j] == "N") {
          Console.Write("No");
        }
        else {
          Console.Write("Sometimes");
        }

        Console.Write("' as an answer");
      }

      Console.ReadKey();
    }

  }
}
