﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace project_41_2_1 {
  class Program {
    const int PEOPLE = 50;

    static int get_age() {
      int x;
      string input;

      Console.WriteLine("Enter an age: ");
      input = Console.ReadLine();
      while (Int32.TryParse(input, out x) == false || x <= 0) {
        Console.WriteLine("Error: Invalid age!");
        Console.WriteLine("Enter a positive number: ");
        input = Console.ReadLine();
      }
      return x;
    }

    static int find_max(int[] a) {
      int i, max, max_i;

      max = a[0];
      max_i = 0;
      for (i = 1; i <= PEOPLE - 1; i++) {
        if (a[i] > max) {
          max = a[i];
          max_i = i;
        }
      }
      return max_i;
    }

    static void Main() {
      int i, index_of_max;

      string[] first_names = new string[PEOPLE];
      string[] last_names = new string[PEOPLE];
      int[] ages = new int[PEOPLE];
      for (i = 0; i <= PEOPLE - 1; i++) {
        Console.WriteLine("Enter first name of person No " + (i + 1) + ": ");
        first_names[i] = Console.ReadLine();
        Console.WriteLine("Enter last name of person No " + (i + 1) + ": ");
        last_names[i] = Console.ReadLine();
        ages[i] = get_age();
      }

      index_of_max = find_max(ages);

      Console.WriteLine("The oldest person is:");
      Console.WriteLine(first_names[index_of_max]);
      Console.WriteLine(last_names[index_of_max]);
      Console.Write("He or she is " + ages[index_of_max] + " years old!");
      Console.ReadKey();
    }
  }
}
