﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace project_41_2_2 {
  class Program {
const int PEOPLE = 20;

static void my_swap(ref string x, ref string y) {
  string temp;

  temp = x;
  x = y;
  y = temp;
}

static void my_sort(string[] a, bool ascending = true) {
  int m, n;

  for (m = 1; m <= PEOPLE - 1; m++) {
    for (n = PEOPLE - 1; n >= m; n--) {
      if (ascending == true) {
        if (a[n].CompareTo(a[n - 1]) < 0) {
          my_swap(ref a[n], ref a[n - 1]);
        }
      }
      else {
        if (a[n].CompareTo(a[n - 1]) > 0) {
          my_swap(ref a[n], ref a[n - 1]);
        }
      }
    }
  }
}

static void display_array(string[] a) {
  int i;

  for (i = 0; i <= PEOPLE - 1; i++) {
    Console.WriteLine(a[i]);
  }
}

static void Main() {
  int i;

  string[] names = new string[PEOPLE];
  for (i = 0; i <= PEOPLE - 1; i++) {
    Console.Write("Enter a name: ");
    names[i] = Console.ReadLine();
  }

  my_sort(names);			    //Sort names in ascending order  
  display_array(names);		//and display them  

  my_sort(names, false);	//Sort names in descending order   
  display_array(names);		//and display them.   
  Console.ReadKey();
}
  }

}
